Subject: bug#24670: Unexpected EOF reading a line (from guix pull) [forward]

From: ng0 <[email-masked]>
Date: Fri, 14 Oct 2016 14:21:10 +0000

Ricardo Wurmus <[email-masked]> writes:

> ng0 <[email-masked]> writes:
>
>> It is impossible to reproduce exactly the system which caused the bug,
>> but I will try to reproduce it as good as you can with Gentoo.
>
> I chuckled a little.  It’s ironic because with Guix we actually can
> reproduce systems with relative ease :)

Yeah… you know one of the reasons why I prefer Guix work over my Gentoo
works. Yet I still maintain for Gentoo... and possibly will become
Gentoo developer next year so that GNUnet packages can be in portage.

> Which is why I suggest trying the official installation method.  If the
> user can reproduce this with the official release we could actually
> investigate this better.  If this is specific to a third-party package
> of Guix it doesn’t really belong here, in my opinion.
>
> ~~ Ricardo
>

I'd still like to get the information I asked for, that's enough for me
to work on checking for a potential bug.
Beyond that I agree that the official installation method should be
tried when the third party installation offered by my ebuild fails.